# 关于webman插件
插件分为**基础插件**和**应用插件**。

#### 基础插件
基础插件可以理解为一些webman的基础组件，它可能是一个通用的类库(例如webman/think-orm)，可能是一个通用的中间件(例如webman/cors)，或者一组路由配置(如webman/auto-route)，或是一个自定义进程(例如webman/redis-queue)等等。


更多请参考[基础插件](https://www.workerman.net/doc/webman/plugin/base.html)

> **注意**
> 基础插件需要webman>=1.2.0

#### 应用插件
应用插件是一个完整的应用，例如问答系统，CMS系统，商城系统等。
更多请参考[应用插件](https://www.workerman.net/doc/webman/app/app.html)

> **应用插件**
> 应用插件需要webman>=1.4.0
