## webman如何获取服务端IP
```php
$request->getLocalIp();
```

注意 如果服务端使用了代理或者其它负载均衡，那么获取的ip可能是本机ip。
那么可以尝试使用如下方法获取本机外网ip：

```php
function getLocalIp()
{
    $ip = gethostbyname(gethostname());
    if (filter_var($ip, FILTER_VALIDATE_IP, FILTER_FLAG_IPV4)) {
        return $ip;
    }
    return '';
}   
```

## webman如何获取服务端端口
```php
$request->getLocalPort();
```